# Create Debian netinstall iso with my preseed

Install `apt install xorriso`<br/>
<br/>
`mkdir -p iso-deb12/boot/grub`<br/>
<br/>
Create file iso-deb12/boot/grub/grub.cfg<br/>
<br/>
`#set default=0`<br/>
`#set timeout=5`<br/>
<br/>
`menuentry 'Debian GNU/Linux 12 (bookworm) network install' --class os {`<br/>
`    insmod gzio`<br/>
`    insmod part_msdos`<br/>
`    linux /boot/linux vga=788 ipv6.disable=1 auto=true netcfg/dhcp_timeout=30 priority=critical locale=en_US preseed/url=http://aassdd.ru/.my-preseed/debian/preseed.cfg ---`<br/>
`    initrd /boot/initrd.gz`<br/>
`#    linux /casper/vmlinuz autoinstall root=/dev/ram0 cloud-config-url=/dev/null ip=dhcp ipv6.disable=1 "ds=nocloud;s=http://lin-repo.domain.local/.preseed/ubuntu-24/" url=http://lin-repo.domain.local/.iso/ubuntu-24.04-live-server-amd64.iso ---`<br/>
`#    initrd /casper/initrd`<br/>
`}`<br/>
<br/>
Put linux and initrd.gz to iso-deb12/boot/<br/>
<br/>
`grub-mkrescue -o debian-12-my-preseed-amd64.iso iso-deb12`<br/>
<br/>
<br/>
<br/>
File create-iso-preseed.sh for use common Debian repo<br/>
<br/>
File create-iso-preseed-LOrepo.sh for use local repo server<br/>
<br/>
